#ifndef SIZEAWARE_H
#define SIZEAWARE_H
#include <tqdialog.h>

class SizeAware : public TQDialog
{
    TQ_OBJECT
    Q_PROPERTY( TQString company READ company WRITE setCompany )
    Q_PROPERTY( TQString settingsFile READ settingsFile WRITE setSettingsFile )
public:
    SizeAware( TQDialog *parent = 0, const char *name = 0, bool modal = FALSE );
    ~SizeAware();
    void setCompany( TQString company ) { m_company = company; }
    TQString company() const { return m_company; } 
    void setSettingsFile( TQString settingsFile ) { m_settingsFile = settingsFile; }
    TQString settingsFile() const { return m_settingsFile; }
public Q_SLOTS:
    void destroy();
private:
    TQString m_company;
    TQString m_settingsFile;
};
#endif
